/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.service;

import com.crunii.micro.common.dto.PageRsp;
import com.crunii.micro.common.dto.CBTree;
import com.crunii.micro.common.dto.TreeNode;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.dto.sys.MenuExtend;
import com.crunii.micro.domain.entity.main.TsmMenu;
import com.crunii.micro.domain.entity.main.TsmRole;
import com.crunii.micro.domain.entity.main.TsmRoleApp;
import com.crunii.micro.domain.entity.main.TsmUrl;
import com.crunii.micro.service.sysmgr.dto.sysmgr.*;

import java.util.List;

/**
 * @author 田平 create 2018年10月31日下午4:40:03
 */
public interface AuthService {

	public CBTree getCheckedRoleTreeNode(int roleId) ;

	public CBTree getRoleBtnTreeNode(int roleId) ;

	public List<AuthRoleCB> getCheckedAuthRole(int loginId);

	public List<RoleUrlGroupCB> getCheckedRoleUrlGroup(int roleId);

	public CBTree getCheckedAuthTreeNode(int loginId);

	public List<TsmRole> getAuthRoles(int loginId);

	public List<TsmMenu> getAuthMenus(int loginId);

	public List<TsmUrl> getAuthUrls(int loginId);

	public List<TreeNode<MenuExtend>> getAuthTreeNode(int loginId);

	public void doWorkerRelaRole(WorkerRelaRole rela);

	public void doRoleRelaMenu(RoleRelaMenu rela);

	public void doRoleRelaUrlGroup(RoleRelaUrlGroup rela);

	public void doRoleRelaButton(RoleButton rela);

	List<String> getBtnIds(Worker worker);

    void doRoleAssociationApp(RoleApp roleApp);

}
